kr.co.hanwha.hifive.screen.main.dashboard

## Class MainDashboardPresenter

- java.lang.Object
- - kr.co.hanwha.hifive.screen.main.dashboard.MainDashboardPresenter

- All Implemented Interfaces:
    BasePresenter, MainDashboardContract.Presenter

      public class MainDashboardPresenter
      extends java.lang.Object
      implements MainDashboardContract.Presenter

  Created by sanghoonkwon on 2018. 3. 15..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private android.app.Activity` | `mActivity`
    `private MainDashboardListContract.Model` | `mAdapterModelGreen`
    `private MainDashboardListContract.Model` | `mAdapterModelOrange`
    `private MainDashboardListContract.View` | `mAdapterViewGreen`
    `private MainDashboardListContract.View` | `mAdapterViewOrange`
    `private android.content.Context` | `mContext`
    `private MainDashboardContract.View` | `mView`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainDashboardPresenter(android.content.Context context, MainDashboardContract.View view, MainDashboardListContract.View adapterViewGreen, MainDashboardListContract.Model adapterModelGreen, MainDashboardListContract.View adapterViewOrange, MainDashboardListContract.Model adapterModelOrange)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `detachView()`
    `android.content.Context` | `getContext()`
    `void` | `initData(boolean needLoading)` Initialize Data

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mContext

          private android.content.Context mContext

    - #### mActivity

          private android.app.Activity mActivity

    - #### mView

          private MainDashboardContract.View mView

    - #### mAdapterViewGreen

          private MainDashboardListContract.View mAdapterViewGreen

    - #### mAdapterModelGreen

          private MainDashboardListContract.Model mAdapterModelGreen

    - #### mAdapterViewOrange

          private MainDashboardListContract.View mAdapterViewOrange

    - #### mAdapterModelOrange

          private MainDashboardListContract.Model mAdapterModelOrange

  - ### Constructor Detail

    - #### MainDashboardPresenter

          public MainDashboardPresenter(@NonNull
                                        android.content.Context context,
                                        @NonNull
                                        MainDashboardContract.View view,
                                        @NonNull
                                        MainDashboardListContract.View adapterViewGreen,
                                        @NonNull
                                        MainDashboardListContract.Model adapterModelGreen,
                                        @NonNull
                                        MainDashboardListContract.View adapterViewOrange,
                                        @NonNull
                                        MainDashboardListContract.Model adapterModelOrange)

  - ### Method Detail

    - #### detachView

          public void detachView()

      Specified by:
        `detachView` in interface `BasePresenter`

    - #### getContext

          public android.content.Context getContext()

      Specified by:
        `getContext` in interface `BasePresenter`

    - #### initData

          public void initData(boolean needLoading)

      Description copied from interface: `MainDashboardContract.Presenter`
      Initialize Data
      Specified by:
        `initData` in interface `MainDashboardContract.Presenter`